<div class="tareas">
  <div>
    <h1>Listado de tareas</h1>

    <div class="crearForm">
      <input [(ngModel)]="id" placeholder="Id" id="id" required="required">
      <input [(ngModel)]="usuarioId" placeholder="Usuario Id" id="usuarioId" required="required">
      <input [(ngModel)]="titulo" placeholder="Título" id="titulo"required="required">
      <input [(ngModel)]="fecha" placeholder="Fecha" id="fecha" required="required">
      <input [(ngModel)]="estado" placeholder="Estado" id="estado" required="required">
      <button (click)="crearTarea()">Guardar tarea</button>
    </div>

    <table>
      <tr>
        <th>Id</th>
        <th>Id de usuario</th>
        <th>Título</th>
        <th>Fecha</th>
        <th>Estado</th>
      </tr>

      <tr *ngFor="let tarea of getTareas()">
        <td>{{ tarea.id }}</td>
        <td>{{ tarea.user_id }}</td>
        <td>{{ tarea.title}}</td>
        <td>{{ tarea.due_on }}</td>
        <td>{{ tarea.status }}</td>
        <td><button (click)="borrarTarea(tarea.id)">Borrar</button></td>
      </tr>
    </table>

  </div>
</div>
